io.flutter.embedding.android

## Enum RenderMode

- java.lang.Object
- - java.lang.Enum<RenderMode>
  - - io.flutter.embedding.android.RenderMode

- All Implemented Interfaces:
    Serializable, Comparable<RenderMode>

      public enum RenderMode
      extends Enum<RenderMode>

  Render modes for a Flutter UI.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `image` `RenderMode`, which paints Paints a Flutter UI provided by an `ImageReader` onto a `Canvas`.
    `surface` `RenderMode`, which paints a Flutter UI to a `SurfaceView`.
    `texture` `RenderMode`, which paints a Flutter UI to a `SurfaceTexture`.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RenderMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RenderMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### surface

          public static final RenderMode surface

      `RenderMode`, which paints a Flutter UI to a `SurfaceView`. This mode has the best performance, but a Flutter UI in this mode cannot be positioned between 2 other Android `View`s in the z-index, nor can it be animated/transformed. Unless the special capabilities of a `SurfaceTexture` are required, developers should strongly prefer this render mode.

    - #### texture

          public static final RenderMode texture

      `RenderMode`, which paints a Flutter UI to a `SurfaceTexture`. This mode is not as performant as `surface`, but a Flutter UI in this mode can be animated and transformed, as well as positioned in the z-index between 2+ other Android `Views`. Unless the special capabilities of a `SurfaceTexture` are required, developers should strongly prefer the `surface` render mode.

    - #### image

          public static final RenderMode image

      `RenderMode`, which paints Paints a Flutter UI provided by an `ImageReader` onto a `Canvas`. This mode is not as performant as `surface`, but a `FlutterView` in this mode can handle full interactivity with a `PlatformView`. Unless `PlatformView`s are required developers should strongly prefer the `surface` render mode.

  - ### Method Detail

    - #### values

          public static RenderMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RenderMode c : RenderMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RenderMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null